xine-lib: Data Fields

xine-lib 1.2.13-20230125hg15249

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - f -

- f : HashValue, vaapi_accel_s, vdec_hw_h264_frame_int_s
- f0 : deinterlace_frame_data_s
- f1 : deinterlace_frame_data_s
- f2 : deinterlace_frame_data_s
- f3 : deinterlace_frame_data_s
- f_code : motion_s, motion_t
- f_motion : mpeg2_decoder_s, picture_s
- f_offset : cc_decoder_s
- faac_cfg : faad_decoder_t
- faac_dec : faad_decoder_t
- faac_failed : faad_decoder_t
- faac_finfo : faad_decoder_t
- factor : stream_info_s, stretch_parameters_s
- factor_adj_p : _CONV_DATA
- factor_p : _CONV_DATA
- failed : dx2_driver_t
- fallback : opengl_render_t
- fallback_format : xine_xxmc_s
- farScope : GoomState
- fastiflow : _GoomSL
- fb_bytes_per_line : fb_driver_s
- fb_depth : pgx32_driver_t, pgx64_driver_t
- fb_fix : fb_driver_s
- fb_height : pgx32_driver_t, vidix_driver_s
- fb_type : pgx64_driver_t
- fb_var : fb_driver_s
- fb_width : pgx32_driver_t, pgx64_driver_t, vidix_driver_s
- fBlock : _GSL_Struct
- fbo : opengl2_driver_s
- fbuf : fbuf_alloc_t, mpeg2dec_s
- fbuf_alloc : mpeg2dec_s
- fbuflen : bebf_latm_t
- fc : af_sub_s
- fcc : _avistdindex_chunk, _avisuperindex_chunk, _ct
- fd : ao_file_driver_s, cdda_input_plugin_t, dvb_input_plugin_t, fb_driver_s, mpd_stream_info_t, oss_driver_s, smb_input_t, ssh_input_plugin_t, tls_gnutls_t, tls_openssl_t, tls_plugin_params_t, v4l2_input_plugin_t, vcd_input_plugin_t, xine_tls
- fd_control : dxr3_decoder_s, dxr3_driver_s, dxr3_overlay_s, dxr3_scr_s
- fd_data : ftp_input_plugin_t
- fd_frontend : tuner_t
- fd_pidfilter : tuner_t
- fd_spu : dxr3_driver_s, dxr3_spudec_s
- fd_subfilter : tuner_t
- fd_video : dxr3_decoder_s, dxr3_driver_s
- fds : _fifo_buffer_t
- features : vdpau_driver_t
- feinfo : tuner_t
- ff_bits : ff_audio_decoder_s
- ff_channels : ff_audio_decoder_s
- ff_map : ff_audio_decoder_s
- ff_sample_rate : ff_audio_decoder_s
- ffsf_free : ff_video_decoder_s
- ffsf_mutex : ff_video_decoder_s
- ffsf_num : ff_video_decoder_s
- ffsf_total : ff_video_decoder_s
- ffsf_used : ff_video_decoder_s
- fft : post_plugin_fftgraph_s, post_plugin_fftscope_s
- fh : file_input_plugin_t, gnomevfs_input_t, http_input_plugin_t, rtp_input_plugin_t, stdin_input_plugin_t, vdr_input_plugin_s
- fh_control : vdr_input_plugin_s
- fh_event : vdr_input_plugin_s
- fh_result : vdr_input_plugin_s
- field : picture_t, vo_frame_s
- field_offs : spudec_state_t
- field_order_cnt : vdec_hw_h264_frame_info_s, vdec_hw_h264_info_ref_frame_t
- field_parity : directfb_driver_s
- field_pic_flag : slice_header, vdec_hw_h264_frame_info_s, vdec_hw_h264_frame_int_s, vdec_hw_h264_lps_t
- fields : _GSL_Struct
- fields_required : deinterlace_method_s
- fifo : asf_demux_stream_t, demux_ts_media, lrb_t, matroska_track_s, xine_nbc_fifo_info_t
- fifo_data_size : fifo_buffer_s
- fifo_empty_cb_data : fifo_buffer_s
- fifo_fill : xine_nbc_fifo_info_t
- fifo_free : xine_nbc_fifo_info_t
- fifo_length : xine_nbc_fifo_info_t
- fifo_length_int : xine_nbc_fifo_info_t
- fifo_num_waiters : fifo_buffer_s
- fifo_size : fifo_buffer_s, xine_nbc_fifo_info_t
- file : asf_header_s, fat_node_st, plugin_node_s, rip_input_plugin_s
- FILE_DONE : file_input_plugin_t
- file_id : asf_file_s
- file_list : plugin_catalog_s
- FILE_PROGRESSIVE : file_input_plugin_t
- file_samples : wvheader_t
- file_sent : demux_nsf_t
- file_size : asf_file_s, ftp_input_plugin_t, mpc_decoder_s, nfs_input_plugin_t, ssh_input_plugin_t
- FILE_STATIC : file_input_plugin_t
- file_version : rmff_fileheader_t
- fileheader : rmff_header_t
- filelist : vcd_input_class_t
- filemtime : plugin_file_t
- filename : osd_font_s, plugin_file_t
- filepos : demux_flac_t, test_input_plugin_t
- filesize : demux_flv_t, demux_fourxm_t, demux_idcin_t, demux_nsf_t, demux_vqa_t, plugin_file_t, test_input_plugin_t
- fill_pts : xine_nbc_fifo_info_t
- filled_rect : osd_renderer_s
- filmmode : tvtime_t
- find : xine_sarray_s
- find_sync_point : vdr_input_plugin_s
- find_sync_point_lock : vdr_input_plugin_s
- FindNextComponent : qtv_decoder_s
- FindPin : IBaseFilter_vt
- fine_gap : aos_t
- finished : dx2_driver_t, spudec_seq_t, sputext_decoder_s, vos_grab_video_frame_s
- finished_naturally : xine_stream_private_st
- finisheds_audio : xine_stream_private_st
- finisheds_video : xine_stream_private_st
- firedec : _ZOOM_FILTER_FX_WRAPPER_DATA
- first : aos_t, audio_fifo_s, config_values_s, fifo_buffer_s, mpeg2dec_s, nal_buffer, vos_t
- first_access_unit : audio_buffer_s
- first_child : xine_stree_t
- first_chunk : sample_to_chunk_table_t, xine_list_s
- first_cluster_found : demux_matroska_t
- first_decode_slice : mpeg2dec_s
- first_frame : cdda_input_plugin_t, cdrom_toc_entry_t, xine_stream_private_st
- first_frame_frame : cdrom_toc_entry_t
- first_frame_minute : cdrom_toc_entry_t
- first_frame_second : cdrom_toc_entry_t
- first_mb_in_slice : slice_header
- first_overlay : pgx64_driver_t, xxmc_driver_s
- first_packet_pos : demux_asf_s
- first_page : pvr_input_plugin_t
- first_pts : demux_ts_t, xine_nbc_fifo_info_t
- first_seq : asf_demux_stream_t
- first_test : xine_sarray_s
- first_track : cdrom_toc_t
- first_unused : _xine_list_chunk_s
- first_vpts : video_overlay_s
- fixed_frame_rate_flag : seq_parameter_set_rbsp
- fixed_vop_time_increment : sequence_t
- flac_decoder : demux_flac_s, flac_decoder_s
- flag : xine_stream_private_st
- flag_interlaced : matroska_video_track_t
- flag_mask : coded_picture, h264_parser
- flags : aos_t, demux_flv_t, demux_tta_t, fat_node_st, fb_frame_s, gl_plugin_params_t, hw_frame_plugin_params_t, id3v23_frame_ext_header_t, id3v23_frame_header_t, id3v24_frame_ext_header_t, id3v24_frame_header_t, id3v2_header_t, mem_frame_t, mms_packet_header_s, mpeg2_gop_s, mpeg2_picture_s, mpeg2_sequence_s, opengl2_driver_s, opengl_frame_t, qt_trak, raw_frame_t, region_t, rmff_pheader_t, rmff_prop_t, sdpplin_t, SoundComponentData, transform_in_s, va_display_plugin_params_t, vdec_hw_h264_frame_t, vdpau_frame_t, video_index_entry_t, vo_frame_s, wvheader_t, xine_fast_text_s, xine_grab_video_frame_s, xine_private_t, xing_header_t, xshm_frame_t, xvmc_capabilities_t
- fli_header : demux_fli_t
- flicker_filtering : directfb_driver_s
- flipped : w32v_decoder_s
- floatValue : YYSTYPE
- Flush : IMediaObject_vt
- flush : video_decoder_s, xine_audio_port_s, xine_event_queue_private_s, xine_video_port_s
- flush_buffers : vcdplayer_s
- flush_events : video_overlay_manager_s
- flush_extra : vos_t
- flushed : vos_t
- fmt : rgb2yuy2_s
- fmt_1p : opengl2_driver_s
- fmt_2p : opengl2_driver_s
- fmt_ctx : avformat_demux_plugin_t, avformat_input_plugin_t
- fmtstring : rgb_decoder_s
- fname : ao_file_driver_s, rip_input_plugin_s
- font : _PLUGIN_INFO, cc_config_s, osd_object_s, spucmml_decoder_s, sputext_class_s, sputext_decoder_s
- font_chars : goomfont_s
- font_height : goomfont_s
- font_name_mutex : sputext_class_s
- font_size : cc_config_s, spucmml_decoder_s, sputext_decoder_s
- font_width : goomfont_s
- fontchar : osd_font_s
- fonts : osd_renderer_s
- foo : clut_s
- force_aspect : dxr3_decoder_s, mpeg2_video_decoder_s, mpeg2dec_s
- force_duration_window : dxr3_decoder_s
- force_jump : metronom_impl_t
- force_pan_scan : dxr3_decoder_s, mpeg2_video_decoder_s, mpeg2dec_s
- force_rate : aos_t
- force_redisplay : vcdplayer_s
- force_redraw : vo_scale_s
- forced_display : spudec_state_t
- forced_flag : composition_object_s
- forced_subs_only : matroska_sub_track_t
- foreground : cc_attribute_s
- format : aa_frame_s, audio_buffer_s, caca_frame_s, demux_sputext_t, directfb_frame_s, fb_frame_s, fusionsound_driver_s, macosx_frame_t, mem_frame_t, mmal_frame_t, opengl_frame_t, pgx32_frame_t, pgx64_frame_t, raw_frame_t, real_stream_t, rv_init_t, scratch_buffer_s, sdl_frame_s, SoundComponentData, stk_frame_s, vdpau_frame_t, vidix_frame_s, vo_frame_s, win32_frame_t, xine_current_frame_data_s, xshm_frame_t, xv_frame_t, xxmc_frame_t
- forward_ref : sequence_t
- forward_reference_frame : picture_s, xine_vld_frame_s
- found_next_frame : demux_mpgaudio_t
- fourcc : demux_ra_t, real_stream_t
- fprog : opengl_driver_t
- fps : avi_t, demux_ipmovie_t, demux_nsv_t, DPAnimChunk, post_class_goom_s, realdec_decoder_s
- fps_d : demux_yuv4mpeg2_t
- fps_n : demux_yuv4mpeg2_t
- fptype : picture_t
- frag : hls_input_plugin_s
- frag_count : mpd_stream_info_t
- frag_dur : hls_input_plugin_s
- frag_duration : mpd_stream_info_t
- frag_index : mpd_input_plugin_s
- frag_mrl_1 : mpd_input_plugin_s
- frag_mrl_2 : mpd_input_plugin_s
- frag_mrl_3 : mpd_input_plugin_s
- frag_num : mpd_input_plugin_s
- frag_offset : asf_demux_stream_t
- frag_pos : mpd_input_plugin_s
- frag_size : mpd_input_plugin_s
- frag_start : mpd_stream_info_t
- fragbuf_size : qt_info
- fraglist : mpd_input_plugin_s, qt_info, rip_input_plugin_s
- fragment_buf : qt_info
- fragment_count : demux_real_t, qt_info
- fragment_dts : qt_trak
- fragment_frames : qt_trak
- fragment_next : qt_info
- fragment_size : demux_real_t, jack_driver_s
- fragment_tab : demux_real_t
- fragment_tab_max : demux_real_t
- frags : xine_mfrag_list_s
- frame : bebf_latm_t, demux_asf_s, mad_decoder_s, opengl_driver_t, raw_driver_t, vdec_hw_h264_info_ref_frame_t, vf_alias_t
- frame1 : demux_flac_t
- frame2 : demux_flac_t
- frame_aspect_ratio : mpeg_parser_s
- frame_buf : aos_t, demux_flac_t
- frame_buf_filepos : demux_flac_t
- frame_buf_size : demux_flac_t
- frame_buf_used : demux_flac_t
- frame_buffer : demux_ra_t, dts_decoder_t, real_stream_t, realdec_decoder_s, xine_a52_parser_t
- frame_centre_horizontal_offset : picture_s
- frame_centre_vertical_offset : picture_s
- frame_count : demux_aac_t, demux_fli_t, demux_vmd_t, qt_trak
- frame_crop_bottom_offset : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- frame_crop_left_offset : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- frame_crop_right_offset : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- frame_crop_top_offset : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- frame_cropping_flag : seq_parameter_set_rbsp, vdec_hw_h264_sps_t
- frame_drop_cpt : vos_t
- frame_drop_limit : vos_t
- frame_drop_limit_max : vos_t
- frame_drop_suggested : vos_t
- frame_duration : demux_ogg_s, mpeg_parser_s, theora_decoder_s
- frame_flag : demux_asf_s
- frame_flags : ff_video_decoder_s, hevc_decoder_s, mmal_decoder_s, vpx_decoder_s
- frame_format : mpeg2dec_s, v4l_input_plugin_t, xine_hwdec_t
- frame_head : demux_flac_t
- frame_head_crc_tab : demux_flac_t
- frame_header_count : audio_buffer_s
- frame_height : picture_s, xine_set_v4l2_data_t
- frame_idx : vdec_hw_h264_info_ref_frame_t
- frame_len : bebf_latm_t, demux_ra_t
- frame_len_type : bebf_latm_t
- frame_length : xine_a52_parser_t
- frame_lock : post_video_port_s
- frame_mbs_only_flag : seq_parameter_set_rbsp, vdec_hw_h264_frame_info_s, vdec_hw_h264_sps_t
- frame_num : demux_aac_t, slice_header, vdec_hw_h264_frame_info_s, vdec_hw_h264_lps_t
- frame_num_bytes : real_stream_t, realdec_decoder_s
- frame_num_offset : h264_parser
- frame_num_wrap : decoded_picture
- frame_number : demux_ac3_t, demux_ivf_t, extra_info_s, mpeg2_video_decoder_s
- frame_offset : vmd_frame_t
- frame_output_cb : fb_visual_t, vo_scale_s, x11_visual_t, xcb_visual_t, xine_wayland_visual_t
- frame_period : mpeg2_sequence_s
- frame_pointer : _COutputMemPin
- frame_pos : demux_ts_t
- frame_pred_frame_dct : mpeg2_decoder_s, picture_s
- frame_ptr : dts_decoder_t, xine_a52_parser_t
- frame_pts_inc : demux_fli_t, demux_ipmovie_t, demux_nsv_t, demux_roq_t, demux_yuv4mpeg2_t
- frame_rate : DVprofile
- frame_rate_base : DVprofile
- frame_rate_code : dxr3_decoder_s, picture_s, sequence_t
- frame_rate_den : demux_ivf_t
- frame_rate_ext_d : picture_s
- frame_rate_ext_n : picture_s
- frame_rate_extension_d : sequence_t
- frame_rate_extension_n : sequence_t
- frame_rate_factor : aos_t
- frame_rate_num : demux_ivf_t
- frame_record : vmd_frame_t
- frame_reordered : realdec_decoder_s
- frame_size : aos_t, demux_ac3_t, demux_dts_t, demux_ra_t, demux_raw_dv_t, demux_yuv4mpeg2_t, DVprofile, dx2_driver_t, qta_decoder_s, real_stream_t, realdec_decoder_s, speex_decoder_s, v4l_input_plugin_t, vdr_input_plugin_s, vmd_frame_t
- frame_size_pointer : _COutputMemPin
- frame_table : demux_vmd_t
- frame_todo : dts_decoder_t, xine_a52_parser_t
- frame_width : picture_s, xine_set_v4l2_data_t
- framecounter : post_plugin_deinterlace_s
- framedescHandle : qtv_decoder_s
- framelen : bebf_latm_t
- framelines : xine_set_v4l2_data_t
- FrameNum : vdec_hw_h264_frame_int_s
- framenumber : bitplane_decoder_s
- FrameNumWrap : vdec_hw_h264_frame_int_s
- framerate : ivtv_ioctl_codec
- framerate_denominator : xine_set_v4l2_data_t
- framerate_mode : deinterlace_parameters_s, post_plugin_deinterlace_s
- framerate_numerator : xine_set_v4l2_data_t
- frames : demux_mpc_t, qt_trak, transform_out_t, vaapi_context_impl, vdec_hw_h264_s, vos_t
- frames_base : v4l_input_plugin_t
- frames_extref : vos_t
- frames_in_renderer : mmal_driver_t
- frames_peak_used : vos_t
- frames_to_drop : mpeg2dec_s
- frames_total : vos_t
- framesize : test_input_plugin_t
- framesize_max : xine_flac_streaminfo_block
- framesize_min : xine_flac_streaminfo_block
- framespergop : ivtv_ioctl_codec
- FramesToGet : qta_decoder_s
- free : _VISUAL_FX, vo_frame_s, xine_list_s
- free_bitrate_count : demux_mpgaudio_t
- free_bitrate_size : demux_mpgaudio_t
- free_bottom : pgx64_driver_t
- free_buffer : buf_element_s, dvd_input_saved_buf_u
- free_events : xine_event_queue_private_s
- free_fifo : aos_t
- free_handle : video_overlay_manager_s
- free_img : png_decoder_s
- free_list : _MemAllocator, xine_pool_s
- free_mark : pgx64_driver_t
- free_next : dvd_input_saved_buf_u
- free_object : osd_renderer_s
- free_queue : vos_t
- free_size : xine_ring_buffer_s
- free_size_cond : xine_ring_buffer_s
- free_size_needed : xine_ring_buffer_s
- free_string : config_values_s
- free_top : pgx64_driver_t
- freebrutD : _ZOOM_FILTER_FX_WRAPPER_DATA
- freebrutS : _ZOOM_FILTER_FX_WRAPPER_DATA
- freebrutT : _ZOOM_FILTER_FX_WRAPPER_DATA
- freecoeffs : _ZOOM_FILTER_FX_WRAPPER_DATA
- freeing : dvd_input_plugin_s
- freemem : _CMediaBuffer
- FreeStreamingResources : IMediaObject_vt
- freq : mpg_audio_frame_t
- frequency : demux_film_t, pvr_input_plugin_t, v4l_input_plugin_t, xine_set_v4l2_data_t
- frm_size : frmsize_s
- front_mixes : ff_audio_decoder_s
- front_param : channel_t
- frontend_lock : xine_stream_private_st
- frsz : ao_directx_t
- ft2 : osd_object_s
- ftheta : _CONV_DATA
- full2mpeg : ff_video_decoder_s
- full_size : xine_ring_buffer_s
- full_size_cond : xine_ring_buffer_s
- full_size_needed : xine_ring_buffer_s
- full_timestamp_flag : sei_message
- fullrange_mode : xv_driver_s
- fullScreenContext : XineOpenGLView
- fullScreenMode : XineOpenGLView
- fullScreenPixelFormat : XineOpenGLView
- func : _vdpau_features_t
- funcs : vdpau_driver_t
- function : _ExternalFunctionStruct
- functions : _GoomSL
- future_frame : vo_frame_s
- fval : _PARAM
- fx_data : _VISUAL_FX
- fx_mode : _FS_DATA
- fx_mode_p : _FS_DATA